Subject: Re: 26.2.90; [PATCH] Speed up 'csv-align-fields'

From: Simen Heggestøyl <[email-masked]>
Date: Thu, 19 Sep 2019 17:51:33 +0200

Stefan Monnier <[email-masked]> writes:

> It should return a lot more information than just a bare number.
> I suspect you did not look at the right number.  I think you'd have to
> use the pixel (X . Y) information (and divide it by the frame's char
> width), rather than the (COL . ROW) one.

Your suspicion is correct, I looked at the COL field.

By using the pixel X divided by (frame-char-width), the results look
right, but I'm getting a slowdown on a 400 line file from 0.03s to 2s.

-- Simen